How can I make a plugin compatible with a theme

Hello, I have a plugin i really really like (symposium toolbar). I believe it causes problems with certain plugins and the upfront theme. Is there a way i can edit the code to make it compatible with themes/plugins that wpmudev offers, or vice versa.